complexType "OriginalRequestDetails"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 5 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | requestingPartyReference?, creditApprovalRequestType?, creditApprovalModel?, (originalTrade | tradeIdentifier+)?
</...>

Content Model Elements (5):

  creditApprovalModel (defined in OriginalRequestDetails complexType),
  creditApprovalRequestType (defined in OriginalRequestDetails complexType),
  originalTrade (defined in OriginalRequestDetails complexType),
  requestingPartyReference (defined in OriginalRequestDetails complexType),
  tradeIdentifier (defined in OriginalRequestDetails complexType)

All Direct / Indirect Based Elements (2):

  originalRequestDetails (in creditRiskLimit in limitCheckApproved),
  originalRequestDetails (in creditRiskLimit in limitCheckRefused)

Known Usage Locations

- As direct type of elements (2):
  originalRequestDetails (in creditRiskLimit in limitCheckApproved),
  originalRequestDetails (in creditRiskLimit in limitCheckRefused)

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="OriginalRequestDetails"> <xsd:sequence> <xsd:element minOccurs="0" name="requestingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditApprovalRequestType" type="CreditApprovalRequestTypeEnum"/> <xsd:element minOccurs="0" name="creditApprovalModel" type="CreditApprovalModel"/> <xsd:choice minOccurs="0"> <xsd:element name="originalTrade" type="Trade"/> <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="TradeIdentifier"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
creditApprovalModel

  Type: | CreditApprovalModel, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="creditApprovalModel" type="CreditApprovalModel"/>

creditApprovalRequestType

  Type: | CreditApprovalRequestTypeEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: | "AllOrNone", "AllowPartial"

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="creditApprovalRequestType" type="CreditApprovalRequestTypeEnum"/>

originalTrade

  Type: | Trade, complex content

  Fully describes the original trade (prior to the exercise).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="originalTrade" type="Trade"/>

requestingPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="requestingPartyReference" type="PartyReference"/>

tradeIdentifier

  Type: | TradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="TradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.